OS7 Public Beta Discussion

  • What about non beta version of the operating system ? On kemper website it's: "KEMPER Rig Manager™ 3.0.89 or higher is required to communicate with this operating system version."


    What about people who still with the Rig manager 2 cause of their operating system, Will we be able to update our kemper and use rig manager with it or we have the double penalty ?? (no RM3 and no more Kemper updates if we want to still use RM)

  • What about non beta version of the operating system ? On kemper website it's: "KEMPER Rig Manager™ 3.0.89 or higher is required to communicate with this operating system version."


    What about people who still with the Rig manager 2 cause of their operating system, Will we be able to update our kemper and use rig manager with it or we have the double penalty ?? (no RM3 and no more Kemper updates if we want to still use RM)

    If you want a non beta RM then you need 2.3.14 release. No, it doesn't have an editor, nor does it work with the beta versions of the OS. You should use 7.1.5. The whole point of the newer betas is to make a fully integrated system. It's tricky at the moment for all that are trying the betas.

    The thing is that im not on RM3 cause it's not available for my operating system.

    Which operating system are you referring to here ... your Kemper or your computer?


    There haven't been RM (or kpa) OS updates notifications for a while, BUT, You can download RM from the website and use its installer onto your computer and also download the KPA OS and install it via a USB drive in to the KPA

  • trangely my performance in slot 5 was now a duplicate of the one in slot 1 and the one that was originally in slot 5 had disappeared

    I did not experience with 7.1.12, but had it also with 7.1.11. The changelog for 7.1.12 described this problem as resolved. So my conclusion is: the error is resolved SOMEHOW, in certain contexts, but not IN ALL. This may show that the internals of software may be of problematic design, repeating code places? And Kemper is fixing holes which are not really well understood.

  • If you want a non beta RM then you need 2.3.14 release. No, it doesn't have an editor, nor does it work with the beta versions of the OS. You should use 7.1.5. The whole point of the newer betas is to make a fully integrated system. It's tricky at the moment for all that are trying the betas.

    Which operating system are you referring to here ... your Kemper or your computer?


    There haven't been RM (or kpa) OS updates notifications for a while, BUT, You can download RM from the website and use its installer onto your computer and also download the KPA OS and install it via a USB drive in to the KPA

    It's not that I want non beta but the beta is not working with RM2, the Os I spoke about is from my computer (Mac OSX 10.9.5)


    I wanted to be sure that I will able to use RM2 AND futur Kemper OS cause it's already very sad that I can't use RM3 and if future OS are not working anymore with RM2...

  • I am sure all future updates will be aimed at RM3 as there is a change in the file format to accommodate presets etc. Therefore, there won’t be any updates to miss out on for RM2. When RM3 becomes a non-beta release you simply move to RM3 and start using the appropriate KAOS update too. Remember the KAOS updates are currently Beta too.

  • Pixelman's using MacOS Mavericks, Alan, and RM3 won't run on it, so that won't be an option for him.

    This !! Yes It's not that I don't want to run RM3, in contrary I was waiting a lot for it cause I really needed it (my Kemper is now almost on the floor so you can imagine it :P).


    I tried in the past to update Mavericks but for my use and my needs, Mavericks is by far the more stable option for my hardwares.


    That's sad that the competition continue to support Mavericks but not Kemper...

  • Kemper release 7.1.11 doesn’t seem to reliably communicate with latest rig manager beta 3 anymore. When you select a profile in RM, the profile sometimes is selected in the Kemper but not always. About 50% of the time it doesn’t work. Anybody with the same problem ?


    Release 7.1.8 with related RM release worked much better in selecting profiles.

    Release 7.1.14 and RM 3.0.90 still has the same issue for me, but I noticed that only certain rigs in the ' MyProfiler' folder of RM do not get selected. And then I noticed that the same rigs can also not be selected via the browse - load buttons on the Kemper itself.
    So I assume it is more likely a rig corruption issue and not so much an RM-Kemper communication issue.

  • This was my problem with the previous release. And it scares me to try the new one.


    The only solution in my case was: copy all the rigs-hard reset-copy back all the rigs.

    This demonstrates that the rigs were not corrupted, they are the same copied back



    Until I don’t see a solution for this problem in the change log I won’t try any other version. I spent 2 hours Sunday and at some point I wasn’t able to load any rig, Kemper mute, unusable. Pretty damn scared!!!

  • I managed to lock up my Stage last night.

    Browse Mode, Held the left page button down to scroll through rigs and get back to the 1st page. Got the lockup screen saying press the back button to reboot. There are only 255 rigs on my profiler


    Using the 1/27/2020 OS Release

  • Don't you have a thumb drive backup? It is advisable when dealing with Betas.

    Obviously I have, but when restore from the backup they are removed again at startup. So I see:

    • 95 rigs once the backup is restored
    • Turn off
    • Turn on
    • 69 again

    I see the total 95 and 69, but it would be useful to know which ones the Kemper removes so that I can replace them from the original file I bought and not from the backup that maybe keep on having the corrupted rigs. And if the Rigs I bought are corrupted I would have some kind of proof to give M.Britt to get good ones or my money back.

  • def good to know which ones are deleted, that we know what we have to bring back to Kemper

    a text file generated after deleting would be helpful or dialog coming up before deleting

    quoting which will be deleted

  • they only delete rigs that are beyond repair though

    Now, the question should be: what is a corrupt rig? I suppose, it is not a rig created with former non-beta OS/RM version. Those should and must be correct, and new beta OS should be able to handle it. So I think: corruption is due to errors of some faulty code in beta versions, i.e. corrupted data. It would be interesting why this cannot be repaired. Each of those corrupted rigs might have some valid data structures and some corrupted. Then, maybe a repair could just keep those data which a fine? Users of course would have the pain to do further repair themselves, maybe adding lost effects?